> ## Documentation Index
> Fetch the complete documentation index at: https://developer.buildpass.global/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SWMS document

> Get a SWMS document for a subcontractor



## OpenAPI

````yaml GET /subcontractors/{id}/swms/{swmsDocId}
openapi: 3.0.0
info:
  title: BuildPass API
  description: >-
    Approved integrators can connect to the BuildPass API on behalf of builders
    to build connections between a wide range of construction platforms.
  version: 1.0.0
servers:
  - url: https://api.buildpass.global
    description: Production server
security:
  - OAuth2: []
paths:
  /subcontractors/{id}/swms/{swmsDocId}:
    get:
      description: Get a SWMS document for a subcontractor
      operationId: getSwmsById
      parameters:
        - name: id
          description: The ID of the subcontractor
          in: path
          required: true
          schema:
            type: string
            example: sub_clgbsb90b001qjy0f0eo1hspp
        - name: swmsDocId
          description: The ID of the SWMS document
          in: path
          required: true
          schema:
            type: string
            example: swms_clgbsb90b001qjy0f0eo1hspp
        - name: X-BuildPass-Api-Version
          in: header
          required: true
          schema:
            $ref: '#/components/schemas/X-BuildPass-Api-Version'
      responses:
        '200':
          description: A SWMS document object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Swms'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '429':
          description: Too Many Requests
        '500':
          description: Internal Server Error
      security:
        - OAuth2: []
components:
  schemas:
    X-BuildPass-Api-Version:
      type: string
      example: v1
      default: v1
      enum:
        - v1
      description: What API version to use.
    Swms:
      type: object
      properties:
        id:
          type: string
          example: swms_clgbsb90b001qjy0f0eo1hspp
          description: The ID of the SWMS document
        createdAt:
          type: string
          format: date-time
          example: '2023-10-03T23:19:35.771Z'
        updatedAt:
          type: string
          format: date-time
          example: '2023-10-03T23:19:35.771Z'
        name:
          type: string
          example: SWMS Document
        status:
          type: string
          enum:
            - REVIEWED
            - WAITING_REVIEW
            - CHANGES_REQUESTED
          example: WAITING_REVIEW
        url:
          type: string
          format: uri
          example: https://example.com/swms_document.pdf
    ErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              fieldName:
                type: string
                example: name
              message:
                type: string
                example: This field is required.
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.buildpass.global/oauth/token
          scopes:
            read:subcontractors: Read subcontractors
            write:subcontractors: Write subcontractors
            read:prequalifications: Read prequalifications
            write:prequalifications: Write prequalifications
            read:insurances: Read insurances
            write:insurances: Write insurances
            read:contacts: Read contacts
            read:swms: Read SWMS
            read:timesheets: Read timesheets
            read:inductions: Read inductions
            read:meetings: Read meetings
            write:meetings: Write meetings
            read:photos: Read photos and photo folders
            write:photos: Create, update, delete, and sync photos and photo folders

````